## org.codehaus.groovy.runtime.callsite
Class CallSiteClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts
              org.codehaus.groovy.runtime.callsite.CallSiteClassLoader

    public class CallSiteClassLoader

extends ClassLoaderForClassArtifacts

Field Summary

Fields inherited from class org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts
`klazz`

Constructor Summary
`CallSiteClassLoader(Class klazz)`

Method Summary
`protected Class` `loadClass(String name, boolean resolve)`

Methods inherited from class org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts
`createClassName, define, defineClassAndGetConstructor, loadClass`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallSiteClassLoader

    public CallSiteClassLoader(Class klazz)

Method Detail

### loadClass

    protected Class loadClass(String name,
                              boolean resolve)
                       throws ClassNotFoundException

  Overrides:
    `loadClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

Copyright © 2003-2009 The Codehaus. All rights reserved.